import { axios } from '@/utils/request'

const homeApi = {
  // 查看banner（列表）
  findBannerById (parameter) {
    return axios({
      url: '/zjxl/banner/findBannerById',
      method: 'get',
      params: parameter
    })
  },
  // 添加banner
  addBanner (data) {
    return axios({
      url: '/zjxl/banner/addBanner',
      method: 'post',
      data: data
    })
  },
  // 更新banner
  updateBanner (data) {
    return axios({
      url: '/zjxl/banner/updateBanner',
      method: 'post',
      data: data
    })
  },
  // 修改banner上下线状态
  updateIsLinebanner (data) {
    return axios({
      url: '/zjxl/banner/updateIsLine',
      method: 'post',
      data: data
    })
  },
  // 删除banner
  deleteBannerById (data) {
    return axios({
      url: '/zjxl/banner/deleteBannerById',
      method: 'post',
      data: data
    })
  },
  // 添加公司案例
  addCompanyCase (data) {
    return axios({
      url: '/zjxl/CompanyCase/addCompanyCase',
      method: 'post',
      data: data
    })
  },
  // 更新公司案例
  updateCompanyCase (data) {
    return axios({
      url: '/zjxl/CompanyCase/updateCompanyCase',
      method: 'post',
      data: data
    })
  },
  // 查看公司案例（列表）
  findCompanyCaseById (parameter) {
    return axios({
      url: '/zjxl/CompanyCase/findCompanyCaseById',
      method: 'get',
      params: parameter
    })
  },
  // 修改公司案例上下线状态
  updateIsLineCompanyCase (data) {
    return axios({
      url: '/zjxl/CompanyCase/updateIsLine',
      method: 'post',
      data: data
    })
  },
  // 删除公司案例
  deleteCompanyCase (data) {
    return axios({
      url: '/zjxl/CompanyCase/deleteCompanyCase',
      method: 'post',
      data: data
    })
  },
  // 添加合作伙伴
  addPartenr (data) {
    return axios({
      url: '/zjxl/partner/addPartenr',
      method: 'post',
      data: data
    })
  },
  // 查看合作伙伴（列表）
  findPartenrById (parameter) {
    return axios({
      url: '/zjxl/partner/findPartenrById',
      method: 'get',
      params: parameter
    })
  },
  // 修改合作伙伴
  updatePartner (data) {
    return axios({
      url: '/zjxl/partner/updatePartner',
      method: 'post',
      data: data
    })
  },
  // 修改合作伙伴上下线状态
  updateIsLinePartner (data) {
    return axios({
      url: '/zjxl/partner/updateIsLine',
      method: 'post',
      data: data
    })
  },
  // 删除合作伙伴
  deletePartner (data) {
    return axios({
      url: '/zjxl/partner/deletePartner',
      method: 'post',
      data: data
    })
  },
  // 获取文章列表
  findArticleContentById (parameter) {
    return axios({
      url: '/zjxl/zjxlArticleContent/findArticleContentById',
      method: 'get',
      params: parameter
    })
  },
  // 文件上传
  fileUpload (data, token) {
    return axios({
      url: '/zjxl/banner/file',
      method: 'post',
      headers: {
        'Authorization': token
      },
      data: data
    })
  }
}
export default homeApi
